### Constructor

# EvinceDocument LinkAction new_layers_state

#### Declaration [src]

    EvLinkAction*
    ev_link_action_new_layers_state (
      GList* show_list,
      GList* hide_list,
      GList* toggle_list
    )

#### Description

No description available.

#### Parameters

`show_list` | A list of `EvLayer*`
| A list of `EvLayer` objects.
| The data is owned by the caller of the function.
`hide_list` | A list of `EvLayer*`
| A list of `EvLayer` objects.
| The data is owned by the caller of the function.
`toggle_list` | A list of `EvLayer*`
| A list of `EvLayer` objects.
| The data is owned by the caller of the function.

#### Return value

Returns: | `EvLinkAction`
| A new `EvLinkAction`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.